jclouds-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fritz Elfert <fr...@fritz-elfert.de>
Subject Serious problem with OpenStack rocky and jclouds GlanceApi
Date Thu, 06 Dec 2018 19:53:02 GMT
Hi guys,

I just tried using GlanceApi from jclouds 2.1.x against OpenStack Rocky
and it fails hopelessly because OpenStack Rocky does not support glance
API 1.0 anymore :-(

Quote from the release notes at
https://docs.openstack.org/releasenotes/glance/rocky.html:

"This release of OpenStack Glance introduces 2 new API versions. Images
API v2.7 adds support and modifications for the Hidden Images and
Multihash features introduced during Rocky cycle. Version 2.8 is
included as an optional EXPERIMENTAL API for testing and preparing for
multiple back-end support.

Rocky development cycle marks long waited milestone on Glance work. The
Images API v1 which has been deprecated for years is finally removed and
not available at all in Glance version 17.0.0 forward."


So, the obvious question is:

When will jclouds support glance-api >= 2.7 ?

Thanks in advance
 -Fritz


Mime
View raw message